<?xml version='1.0' encoding='UTF-8'?>
<UNICOSMetaModel xmlns:xsi='http://www.w3.org/2001/XMLSchema-instance' xsi:noNamespaceSchemaLocation='..\unicos\UNICOSMetaModel.xsd'>
  <Information>
    <Name>DigitalInput</Name>
    <ObjectTypeFamily>IOObjectFamily</ObjectTypeFamily>
    <Description>Digital Input Device</Description>
    <Version>$LastChangedRevision: 117564 $</Version>
    <VersionComments/>
    <Status/>
  </Information>
  <AttributeFamily>
    <AttributeFamilyName>DeviceIdentification</AttributeFamilyName>
    <UserExpandable>false</UserExpandable>
    <Attribute>
      <AttributeName>Name</AttributeName>
      <Description>Name of the device. It must be unique.
Max length:
- Schneider: 23
- Siemens: Field objects, Controller and PCO: 19; Local: 21; otherwise: 24
Forbidden chars:  [: "'@`#$%^&amp;*?!,;=+~(){}&lt;&gt;|]-., double underscore, and page break</Description>
      <PrimitiveType>STRING</PrimitiveType>
      <isSpecificationAttribute>
        <isValueRequired>true</isValueRequired>
        <Usage>Name displayed at the SCADA level if "Expert Name" is not specified.
This name will appear in the datapoints created in the SCADA layer.</Usage>
        <DependentAttributes>Device Links.
The name of the device(s) specified in Device Links *must* correspond to "Expert Name" if it is defined.
If "Expert Name" is not defined, the name of the device(s) specified in Device Links corresponds to "Name".</DependentAttributes>
        <Constraints>Max length:
- Schneider: 23
- Siemens: Field objects, Controller and PCO: 19; Local: 21; otherwise: 24
Forbidden chars:  [: "'@`#$%^&amp;*?!,;=+~(){}&lt;&gt;|]-., double underscore, and page break
Name must be unique.</Constraints>
      </isSpecificationAttribute>
    </Attribute>
    <Attribute>
      <AttributeName>ExpertName</AttributeName>
      <Description>Name of the device displayed at the SCADA level. It must be unique.
Forbidden characters:  *[: "'@`#$%^&amp;*?!,;=+~(){}&lt;&gt;|]</Description>
      <PrimitiveType>STRING</PrimitiveType>
      <isSpecificationAttribute>
        <NameRepresentation>Expert Name</NameRepresentation>
        <TypeRepresentation>STRING</TypeRepresentation>
        <isValueRequired>false</isValueRequired>
        <Usage>It does not affect to the datapoints names in the SCADA layer.</Usage>
        <DependentAttributes>Device Links.
The name of the device(s) specified in Device Links *must* correspond to "Expert Name" if it is defined.
If "Expert Name" is not defined, the name of the device(s) specified in Device Links corresponds to "Name".</DependentAttributes>
        <Constraints>In principle there is no limit to the number of characters used, however a long name may result in display issues at the SCADA level.
Forbidden characters:  *[: "'@`#$%^&amp;*?!,;=+~(){}&lt;&gt;|]
Expert Name must be unique.</Constraints>
      </isSpecificationAttribute>
    </Attribute>
  </AttributeFamily>
  <AttributeFamily>
    <AttributeFamilyName>DeviceDocumentation</AttributeFamilyName>
    <UserExpandable>true</UserExpandable>
    <Attribute>
      <AttributeName>DeviceDescription</AttributeName>
      <Description>Description of the device.  </Description>
      <PrimitiveType>STRING</PrimitiveType>
      <isSpecificationAttribute>
        <NameRepresentation>Description</NameRepresentation>
        <isValueRequired>false</isValueRequired>
        <Usage>Used in the SCADA layer in the device faceplate</Usage>
        <DependentAttributes/>
        <Constraints>In principle there is no limit to the number of characters used, however a long description may result in display issues at the SCADA level.
Forbidden characters:  ;</Constraints>
      </isSpecificationAttribute>
    </Attribute>
    <Attribute>
      <AttributeName>ElectricalDiagram</AttributeName>
      <Description>Reference to the electrical diagram in which the device is represented.</Description>
      <PrimitiveType>STRING</PrimitiveType>
      <isSpecificationAttribute>
        <NameRepresentation>Electrical Diagram</NameRepresentation>
        <isValueRequired>false</isValueRequired>
        <Usage>Used in the SCADA layer: added to the device description in the device faceplate.</Usage>
        <DependentAttributes/>
        <Constraints>In principle there is no limit to the number of characters used, however a long name may result in display issues at the SCADA level.
Forbidden characters:  *[: "'@`#$%^&amp;*?!,;=+~(){}&lt;&gt;|]</Constraints>
      </isSpecificationAttribute>
    </Attribute>
    <Attribute>
      <AttributeName>Remarks</AttributeName>
      <Description>Field used to add relevant information about the device. </Description>
      <PrimitiveType>STRING</PrimitiveType>
      <isSpecificationAttribute>
        <isValueRequired>false</isValueRequired>
        <Usage>This information is not used in the generation process, it remains only at the specification level for documentation purposes.</Usage>
        <DependentAttributes/>
        <Constraints>Forbidden characters:  ;</Constraints>
      </isSpecificationAttribute>
    </Attribute>
  </AttributeFamily>
  <AttributeFamily>
    <AttributeFamilyName>FEDeviceAutoRequests</AttributeFamilyName>
    <UserExpandable>true</UserExpandable>
    <Attribute>
      <AttributeName>AuIhFoMo</AttributeName>
      <Meaning>Auto Inhibit Forced Mode</Meaning>
      <Description>Auto Inhibit Forced Mode (by logic): The control logic blocks the forced mode operation.</Description>
      <PrimitiveType>BOOLEAN</PrimitiveType>
    </Attribute>
  </AttributeFamily>
  <AttributeFamily>
    <AttributeFamilyName>FEDeviceManualRequests</AttributeFamilyName>
    <UserExpandable>true</UserExpandable>
    <Attribute>
      <AttributeName>ManReg01</AttributeName>
      <Meaning> Manual Register 1</Meaning>
      <Description>Manual Register 1</Description>
      <isCommunicated>true</isCommunicated>
      <PrimitiveType>WORD</PrimitiveType>
      <Attribute>
        <AttributeName>MAuMoR</AttributeName>
        <Meaning>Manual Auto Mode Request</Meaning>
        <Description>Manual Auto Mode Request: The operator requests the Auto Mode.</Description>
        <PrimitiveType>BIT1</PrimitiveType>
        <BitPosition>0</BitPosition>
      </Attribute>
      <Attribute>
        <AttributeName>MFoMoR</AttributeName>
        <Meaning>Manual Forced Mode Request</Meaning>
        <Description>Manual Forced Mode Request: The operator requests the Forced Mode.</Description>
        <PrimitiveType>BIT1</PrimitiveType>
        <BitPosition>2</BitPosition>
      </Attribute>
      <Attribute>
        <AttributeName>MOnR</AttributeName>
        <Meaning>Manual On Request</Meaning>
        <Description>Manual On Request: The operator requests the On/Open position</Description>
        <PrimitiveType>BIT1</PrimitiveType>
        <BitPosition>4</BitPosition>
      </Attribute>
      <Attribute>
        <AttributeName>MOffR</AttributeName>
        <Meaning>Manual Off Request</Meaning>
        <Description>Manual Off Request: The operator requests the Off/Close position</Description>
        <PrimitiveType>BIT1</PrimitiveType>
        <BitPosition>5</BitPosition>
      </Attribute>
      <Attribute>
        <AttributeName>MIOErBSetRst</AttributeName>
        <Meaning>Manual Input/Output Error Block Set/Reset</Meaning>
        <Description>Manual IO Error Block Set/Reset: This action allows to set/reset the IOError.</Description>
        <PrimitiveType>BIT1</PrimitiveType>
        <BitPosition>10</BitPosition>
      </Attribute>
    </Attribute>
  </AttributeFamily>
  <AttributeFamily>
    <AttributeFamilyName>FEDeviceEnvironmentInputs</AttributeFamilyName>
    <UserExpandable>true</UserExpandable>
    <Attribute>
      <AttributeName>HFPos</AttributeName>
      <Meaning>Hardware Feedback Position</Meaning>
      <Description>Analog Feedback of the actuator.
Must be an AI/AIR/AS.</Description>
      <PrimitiveType>BOOLEAN</PrimitiveType>
    </Attribute>
    <Attribute>
      <AttributeName>IOError</AttributeName>
      <Meaning>Input/Output Error</Meaning>
      <Description>IOError state in any of the dependant objects or the PLC channel assigned to the object</Description>
      <PrimitiveType>BOOLEAN</PrimitiveType>
    </Attribute>
    <Attribute>
      <AttributeName>IOSimu</AttributeName>
      <Meaning>Input/Output Simulated</Meaning>
      <Description>Any of the dependant objects is in Forced or Manual Mode</Description>
      <PrimitiveType>BOOLEAN</PrimitiveType>
    </Attribute>
  </AttributeFamily>
  <AttributeFamily>
    <AttributeFamilyName>FEDeviceOutputs</AttributeFamilyName>
    <UserExpandable>true</UserExpandable>
    <Attribute>
      <AttributeName>StsReg01</AttributeName>
      <Meaning>Status Register 1</Meaning>
      <Description>Status Register 1</Description>
      <isEventAttribute>true</isEventAttribute>
      <isCommunicated>true</isCommunicated>
      <PrimitiveType>WORD</PrimitiveType>
      <Attribute>
        <AttributeName>PosSt</AttributeName>
        <Meaning>Position Status</Meaning>
        <Description>Digital Position Status</Description>
        <isArchived>true</isArchived>
        <PrimitiveType>BIT1</PrimitiveType>
        <BitPosition>0</BitPosition>
      </Attribute>
      <Attribute>
        <AttributeName>AuMoSt</AttributeName>
        <Meaning>Auto Mode Status</Meaning>
        <Description>Current status of the Auto Mode</Description>
        <PrimitiveType>BIT1</PrimitiveType>
        <BitPosition>2</BitPosition>
      </Attribute>
      <Attribute>
        <AttributeName>FoMoSt</AttributeName>
        <Meaning>Forced Mode Status</Meaning>
        <Description>Current status of the Forced Mode.</Description>
        <PrimitiveType>BIT1</PrimitiveType>
        <BitPosition>4</BitPosition>
      </Attribute>
      <Attribute>
        <AttributeName>IOErrorW</AttributeName>
        <Meaning>Input/Output Error Warning</Meaning>
        <Description>Current status of the IOError</Description>
        <PrimitiveType>BIT1</PrimitiveType>
        <BitPosition>6</BitPosition>
      </Attribute>
      <Attribute>
        <AttributeName>IOSimuW</AttributeName>
        <Meaning>Input/Output Simulated Warning</Meaning>
        <Description>Current status of the IOSimu</Description>
        <PrimitiveType>BIT1</PrimitiveType>
        <BitPosition>7</BitPosition>
      </Attribute>
      <Attribute>
        <AttributeName>FoDiProW</AttributeName>
        <Meaning>Forced Differs from Process Warning</Meaning>
        <Description>The Manual or Forced Position requested by the operator differs from the Process</Description>
        <PrimitiveType>BIT1</PrimitiveType>
        <BitPosition>8</BitPosition>
      </Attribute>
      <Attribute>
        <AttributeName>MIOErBRSt</AttributeName>
        <Meaning>Manual Input/Output Error Block Request Status</Meaning>
        <Description>Manual IOError Block Request Status</Description>
        <PrimitiveType>BIT1</PrimitiveType>
        <BitPosition>9</BitPosition>
      </Attribute>
      <Attribute>
        <AttributeName>AuIhFoMoSt</AttributeName>
        <Meaning>Auto Inhibit Forced Mode Status</Meaning>
        <Description>Auto Inhibit Forced Mode status: Current status of the Auto Inhibit forced mode.</Description>
        <PrimitiveType>BIT1</PrimitiveType>
        <BitPosition>13</BitPosition>
      </Attribute>
      <Attribute>
        <AttributeName>HFSt</AttributeName>
        <Meaning>Hardware Feedback Status</Meaning>
        <Description>Hardware feedback status</Description>
        <PrimitiveType>BIT1</PrimitiveType>
        <BitPosition>14</BitPosition>
      </Attribute>
      <Attribute>
        <AttributeName>MPosRSt</AttributeName>
        <Meaning>Manual Position Requested Status</Meaning>
        <Description>Manual Position Requested Status</Description>
        <PrimitiveType>BIT1</PrimitiveType>
        <BitPosition>15</BitPosition>
      </Attribute>
    </Attribute>
    <Attribute>
      <AttributeName>PosSt</AttributeName>
      <Meaning>Position status</Meaning>
      <Description>Position Status</Description>
      <PrimitiveType>BOOLEAN</PrimitiveType>
    </Attribute>
    <Attribute>
      <AttributeName>HFSt</AttributeName>
      <Meaning>Hardware Feedback Status</Meaning>
      <Description>Current engeneering value of the Hardware feedback position sensor</Description>
      <PrimitiveType>BOOLEAN</PrimitiveType>
    </Attribute>
    <Attribute>
      <AttributeName>MPosRSt</AttributeName>
      <Meaning>Manual Position Request Status</Meaning>
      <Description>Manual Position request status</Description>
      <PrimitiveType>BOOLEAN</PrimitiveType>
    </Attribute>
    <Attribute>
      <AttributeName>AuMoSt</AttributeName>
      <Meaning>Auto Mode Status</Meaning>
      <Description>Current status of the Auto Mode</Description>
      <PrimitiveType>BOOLEAN</PrimitiveType>
    </Attribute>
    <Attribute>
      <AttributeName>FoMoSt</AttributeName>
      <Meaning>Forced Mode Status</Meaning>
      <Description>Current status of the Forced Mode.</Description>
      <PrimitiveType>BOOLEAN</PrimitiveType>
    </Attribute>
    <Attribute>
      <AttributeName>IOErrorW</AttributeName>
      <Meaning>Input/Output Error Warning</Meaning>
      <Description>Current status of the IOError</Description>
      <PrimitiveType>BOOLEAN</PrimitiveType>
    </Attribute>
    <Attribute>
      <AttributeName>IOSimuW</AttributeName>
      <Meaning>Inpout/Output Simulated Warning</Meaning>
      <Description>Current status of the IOSimu</Description>
      <PrimitiveType>BOOLEAN</PrimitiveType>
    </Attribute>
    <Attribute>
      <AttributeName>FoDiProW</AttributeName>
      <Meaning>Forced Differs from Process Warning</Meaning>
      <Description>The Manual or Forced Position requested by the operator differs from the Process</Description>
      <PrimitiveType>BOOLEAN</PrimitiveType>
    </Attribute>
  </AttributeFamily>
  <AttributeFamily>
    <AttributeFamilyName>FEDeviceIOConfig</AttributeFamilyName>
    <UserExpandable>true</UserExpandable>
    <Attribute>
      <AttributeName>FEType</AttributeName>
      <Description>Parameter used to set up the periphery address of the device according to the various hardware module types used at the PLC level.
Refer to FEEncodingType.xlsx in Specs/ folder for specific Siemens and Schneider documentation</Description>
      <PrimitiveType>STRING</PrimitiveType>
      <isSpecificationAttribute>
        <NameRepresentation>FE Encoding Type</NameRepresentation>
        <TypeRepresentation>STRING</TypeRepresentation>
        <isValueRequired>false</isValueRequired>
        <Usage>Refer to FEEncodingType.xlsx in Specs/ folder for specific Siemens and Schneider documentation</Usage>
        <DependentAttributes>FEChannel.InterfaceParamX (where X=1-10)</DependentAttributes>
        <Constraints>Refer to FEEncodingType.xlsx in Specs/ folder for specific Siemens and Schneider documentation</Constraints>
      </isSpecificationAttribute>
    </Attribute>
    <Attribute>
      <AttributeName>FEChannel</AttributeName>
      <Description>Indicates how to map the acquisition of the information from the field I/O interface.</Description>
      <PrimitiveType>STRUCT</PrimitiveType>
      <Attribute>
        <AttributeName>InterfaceParam1</AttributeName>
        <Description>Parameter used to set up the periphery address of the device according to the various hardware module types used at the PLC level.
Refer to FEEncodingType.xlsx in Specs/ folder for specific Siemens and Schneider documentation</Description>
        <PrimitiveType>STRING</PrimitiveType>
        <isSpecificationAttribute>
          <isValueRequired>false</isValueRequired>
          <Usage>Refer to FEEncodingType.xlsx in Specs/ folder for specific Siemens and Schneider documentation</Usage>
          <DependentAttributes>FE Encoding Type</DependentAttributes>
          <Constraints>Refer to FEEncodingType.xlsx in Specs/ folder for specific Siemens and Schneider documentation</Constraints>
        </isSpecificationAttribute>
      </Attribute>
      <Attribute>
        <AttributeName>InterfaceParam2</AttributeName>
        <Description>Parameter used to set up the periphery address of the device according to the various hardware module types used at the PLC level.
Refer to FEEncodingType.xlsx in Specs/ folder for specific Siemens and Schneider documentation</Description>
        <PrimitiveType>STRING</PrimitiveType>
        <isSpecificationAttribute>
          <isValueRequired>false</isValueRequired>
          <Usage>Refer to FEEncodingType.xlsx in Specs/ folder for specific Siemens and Schneider documentation</Usage>
          <DependentAttributes>FE Encoding Type</DependentAttributes>
          <Constraints>Refer to FEEncodingType.xlsx in Specs/ folder for specific Siemens and Schneider documentation</Constraints>
        </isSpecificationAttribute>
      </Attribute>
      <Attribute>
        <AttributeName>InterfaceParam3</AttributeName>
        <Description>Parameter used to set up the periphery address of the device according to the various hardware module types used at the PLC level.
Refer to FEEncodingType.xlsx in Specs/ folder for specific Siemens and Schneider documentation</Description>
        <PrimitiveType>STRING</PrimitiveType>
        <isSpecificationAttribute>
          <isValueRequired>false</isValueRequired>
          <Usage>Refer to FEEncodingType.xlsx in Specs/ folder for specific Siemens and Schneider documentation</Usage>
          <DependentAttributes>FE Encoding Type</DependentAttributes>
          <Constraints>Refer to FEEncodingType.xlsx in Specs/ folder for specific Siemens and Schneider documentation</Constraints>
        </isSpecificationAttribute>
      </Attribute>
      <Attribute>
        <AttributeName>InterfaceParam4</AttributeName>
        <Description>Parameter used to set up the periphery address of the device according to the various hardware module types used at the PLC level.
Refer to FEEncodingType.xlsx in Specs/ folder for specific Siemens and Schneider documentation</Description>
        <PrimitiveType>STRING</PrimitiveType>
        <isSpecificationAttribute>
          <isValueRequired>false</isValueRequired>
          <Usage>Refer to FEEncodingType.xlsx in Specs/ folder for specific Siemens and Schneider documentation</Usage>
          <DependentAttributes>FE Encoding Type</DependentAttributes>
          <Constraints>Refer to FEEncodingType.xlsx in Specs/ folder for specific Siemens and Schneider documentation</Constraints>
        </isSpecificationAttribute>
      </Attribute>
      <Attribute>
        <AttributeName>InterfaceParam5</AttributeName>
        <Description>Parameter used to set up the periphery address of the device according to the various hardware module types used at the PLC level.
Refer to FEEncodingType.xlsx in Specs/ folder for specific Siemens and Schneider documentation</Description>
        <PrimitiveType>STRING</PrimitiveType>
        <isSpecificationAttribute>
          <isValueRequired>false</isValueRequired>
          <Usage>Refer to FEEncodingType.xlsx in Specs/ folder for specific Siemens and Schneider documentation</Usage>
          <DependentAttributes>FE Encoding Type</DependentAttributes>
          <Constraints>Refer to FEEncodingType.xlsx in Specs/ folder for specific Siemens and Schneider documentation</Constraints>
        </isSpecificationAttribute>
      </Attribute>
      <Attribute>
        <AttributeName>InterfaceParam6</AttributeName>
        <Description>Parameter used to set up the periphery address of the device according to the various hardware module types used at the PLC level.
Refer to FEEncodingType.xlsx in Specs/ folder for specific Siemens and Schneider documentation</Description>
        <PrimitiveType>STRING</PrimitiveType>
        <isSpecificationAttribute>
          <isValueRequired>false</isValueRequired>
          <Usage>Refer to FEEncodingType.xlsx in Specs/ folder for specific Siemens and Schneider documentation</Usage>
          <DependentAttributes>FE Encoding Type</DependentAttributes>
          <Constraints>Refer to FEEncodingType.xlsx in Specs/ folder for specific Siemens and Schneider documentation</Constraints>
        </isSpecificationAttribute>
      </Attribute>
      <Attribute>
        <AttributeName>InterfaceParam7</AttributeName>
        <Description>Parameter used to set up the periphery address of the device according to the various hardware module types used at the PLC level.
Refer to FEEncodingType.xlsx in Specs/ folder for specific Siemens and Schneider documentation</Description>
        <PrimitiveType>STRING</PrimitiveType>
        <isSpecificationAttribute>
          <isValueRequired>false</isValueRequired>
          <Usage>Refer to FEEncodingType.xlsx in Specs/ folder for specific Siemens and Schneider documentation</Usage>
          <DependentAttributes>FE Encoding Type</DependentAttributes>
          <Constraints>Refer to FEEncodingType.xlsx in Specs/ folder for specific Siemens and Schneider documentation</Constraints>
        </isSpecificationAttribute>
      </Attribute>
      <Attribute>
        <AttributeName>InterfaceParam8</AttributeName>
        <Description>Parameter used to set up the periphery address of the device according to the various hardware module types used at the PLC level.
Refer to FEEncodingType.xlsx in Specs/ folder for specific Siemens and Schneider documentation</Description>
        <PrimitiveType>STRING</PrimitiveType>
        <isSpecificationAttribute>
          <isValueRequired>false</isValueRequired>
          <Usage>Refer to FEEncodingType.xlsx in Specs/ folder for specific Siemens and Schneider documentation</Usage>
          <DependentAttributes>FE Encoding Type</DependentAttributes>
          <Constraints>Refer to FEEncodingType.xlsx in Specs/ folder for specific Siemens and Schneider documentation</Constraints>
        </isSpecificationAttribute>
      </Attribute>
      <Attribute>
        <AttributeName>InterfaceParam9</AttributeName>
        <Description>Parameter used to set up the periphery address of the device according to the various hardware module types used at the PLC level.
Refer to FEEncodingType.xlsx in Specs/ folder for specific Siemens and Schneider documentation</Description>
        <PrimitiveType>STRING</PrimitiveType>
        <isSpecificationAttribute>
          <isValueRequired>false</isValueRequired>
          <Usage>Refer to FEEncodingType.xlsx in Specs/ folder for specific Siemens and Schneider documentation</Usage>
          <DependentAttributes>FE Encoding Type</DependentAttributes>
          <Constraints>Refer to FEEncodingType.xlsx in Specs/ folder for specific Siemens and Schneider documentation</Constraints>
        </isSpecificationAttribute>
      </Attribute>
      <Attribute>
        <AttributeName>InterfaceParam10</AttributeName>
        <Description>Parameter used to set up the periphery address of the device according to the various hardware module types used at the PLC level.
Refer to FEEncodingType.xlsx in Specs/ folder for specific Siemens and Schneider documentation</Description>
        <PrimitiveType>STRING</PrimitiveType>
        <isSpecificationAttribute>
          <isValueRequired>false</isValueRequired>
          <Usage>Refer to FEEncodingType.xlsx in Specs/ folder for specific Siemens and Schneider documentation</Usage>
          <DependentAttributes>FE Encoding Type</DependentAttributes>
          <Constraints>Refer to FEEncodingType.xlsx in Specs/ folder for specific Siemens and Schneider documentation</Constraints>
        </isSpecificationAttribute>
      </Attribute>
    </Attribute>
  </AttributeFamily>
  <AttributeFamily>
    <AttributeFamilyName>SCADADeviceGraphics</AttributeFamilyName>
    <UserExpandable>true</UserExpandable>
    <Attribute>
      <AttributeName>WidgetType</AttributeName>
      <Description>Define the widget type to display in the SCADA device tree overview only. 
The widget displayed in the process panel will be selected when the user creates the panel.</Description>
      <PrimitiveType>STRING</PrimitiveType>
      <isSpecificationAttribute>
        <NameRepresentation>Widget Type</NameRepresentation>
        <isValueRequired>true</isValueRequired>
        <isCaseSensitive>true</isCaseSensitive>
        <PermittedValue>DigitalInput</PermittedValue>
        <Usage/>
        <DependentAttributes/>
        <Constraints/>
      </isSpecificationAttribute>
    </Attribute>
    <Attribute>
      <AttributeName>Synoptic</AttributeName>
      <Description>Define link between the device and an existing synoptic where it appears. The synoptic specified here can be accessed from the device right-click menu item "Synoptic".</Description>
      <PrimitiveType>STRING</PrimitiveType>
      <isSpecificationAttribute>
        <isValueRequired>false</isValueRequired>
        <Usage>Specify the path of the .pnl file under the "\panel" directory of the PVSS project.</Usage>
        <DependentAttributes/>
        <Constraints/>
      </isSpecificationAttribute>
    </Attribute>
    <Attribute>
      <AttributeName>DiagnosticPanel</AttributeName>
      <Description>Define link between the device and an existing diagnostic panel for the device. The panel specified here can be accessed from the device right-click menu item "Diagnostic" as well as from the "Diagnostic" button on the object faceplate.</Description>
      <PrimitiveType>STRING</PrimitiveType>
      <isSpecificationAttribute>
        <NameRepresentation>Diagnostic</NameRepresentation>
        <isValueRequired>false</isValueRequired>
        <Usage>Specify the path of the .pnl file under the "\panel" directory of the PVSS project </Usage>
        <DependentAttributes/>
        <Constraints/>
      </isSpecificationAttribute>
    </Attribute>
    <Attribute>
      <AttributeName>WWWLink</AttributeName>
      <Description>Define link between the device and an existing web page (or pdf file, or other file which can be opened with IE).  The link can be accessed from the device right-click menu item "Info" as well as from the "Info" button on the object faceplate.</Description>
      <PrimitiveType>STRING</PrimitiveType>
      <isSpecificationAttribute>
        <NameRepresentation>WWW Link</NameRepresentation>
        <isValueRequired>false</isValueRequired>
        <Usage/>
        <DependentAttributes/>
        <Constraints/>
      </isSpecificationAttribute>
    </Attribute>
  </AttributeFamily>
  <AttributeFamily>
    <AttributeFamilyName>SCADADeviceFunctionals</AttributeFamilyName>
    <UserExpandable>false</UserExpandable>
    <Attribute>
      <AttributeName>MaskEvent</AttributeName>
      <Description>If TRUE: the events of the device will be masked in SCADA and not diplayed or archived in the Event List.
An 'event' is defined as a bit change in StsReg01 or StsReg02</Description>
      <PrimitiveType>BOOLEAN</PrimitiveType>
      <isSpecificationAttribute>
        <NameRepresentation>Mask Event</NameRepresentation>
        <isValueRequired>false</isValueRequired>
        <Usage/>
        <DependentAttributes/>
        <Constraints/>
      </isSpecificationAttribute>
    </Attribute>
    <Attribute>
      <AttributeName>AccessControlDomain</AttributeName>
      <Description>Define Access Control on the device to an existing SCADA Domain
Forbidden characters:  *[: "'@`#$%^&amp;*?!;=+~(){}&lt;&gt;|]</Description>
      <PrimitiveType>STRING</PrimitiveType>
      <isSpecificationAttribute>
        <NameRepresentation>Access Control Domain</NameRepresentation>
        <isValueRequired>false</isValueRequired>
        <Usage>This domain is used to grant access to this specific device. The domain specified for this object will allow access to the object only to registered users on that domain</Usage>
        <DependentAttributes/>
        <Constraints>Forbidden characters:  *[: "'@`#$%^&amp;*?!;=+~(){}&lt;&gt;|]</Constraints>
      </isSpecificationAttribute>
    </Attribute>
    <Attribute>
      <AttributeName>SCADADeviceClassificationTags</AttributeName>
      <Description>It defines the Domain, Nature and DeviceLinks for the SCADA visualization</Description>
      <PrimitiveType>STRUCT</PrimitiveType>
      <Attribute>
        <AttributeName>Domain</AttributeName>
        <Description>Domain of the device. If empty, the domain will be the name of the application
Forbidden characters:  *[: "'@`#$%^&amp;*?!,;=+~(){}&lt;&gt;|]</Description>
        <PrimitiveType>STRING</PrimitiveType>
        <isSpecificationAttribute>
          <isValueRequired>false</isValueRequired>
          <Usage>Domain is used to filter the devices in the alarm list or in the device tree overview</Usage>
          <DependentAttributes/>
          <Constraints>Forbidden characters:  *[: "'@`#$%^&amp;*?!,;=+~(){}&lt;&gt;|]</Constraints>
        </isSpecificationAttribute>
      </Attribute>
      <Attribute>
        <AttributeName>Nature</AttributeName>
        <Description>Nature of the device. If empty, the nature will be the type of the device
Forbidden characters:  *[: "'@`#$%^&amp;*?!,;=+~(){}&lt;&gt;|]</Description>
        <PrimitiveType>STRING</PrimitiveType>
        <isSpecificationAttribute>
          <isValueRequired>false</isValueRequired>
          <Usage>Nature is used to filter the devices in the alarm list or in the device tree overview</Usage>
          <DependentAttributes/>
          <Constraints>Forbidden characters:  *[: "'@`#$%^&amp;*?!,;=+~(){}&lt;&gt;|]</Constraints>
        </isSpecificationAttribute>
      </Attribute>
      <Attribute>
        <AttributeName>DeviceLinks</AttributeName>
        <Description>Define links to other devices (separate device names with commas). 
Note: it is not necessary to link to master, parents or children because these links are automatically created.
Forbidden characters:  *[: "'@`#$%^&amp;*?!;=+~(){}&lt;&gt;|]</Description>
        <PrimitiveType>STRING</PrimitiveType>
        <isSpecificationAttribute>
          <NameRepresentation>Device Links</NameRepresentation>
          <isValueRequired>false</isValueRequired>
          <Usage>Linked devices will be shown in the device right-click menu</Usage>
          <DependentAttributes>Expert Name or Name.
The name of the device(s) specified here *must* correspond to "Expert Name" if it is defined.
If "Expert Name" is not defined, the name of the device(s) specified here corresponds to "Name".</DependentAttributes>
          <Constraints>Forbidden characters:  *[: "'@`#$%^&amp;*?!;=+~(){}&lt;&gt;|]</Constraints>
        </isSpecificationAttribute>
      </Attribute>
    </Attribute>
  </AttributeFamily>
  <AttributeFamily>
    <AttributeFamilyName>SCADADeviceDataArchiving</AttributeFamilyName>
    <UserExpandable>true</UserExpandable>
    <Attribute>
      <AttributeName>ArchiveMode</AttributeName>
      <Description>Archive mode of the object engineering values. Archive if:
Old/New Comparison: value changes
Time: value changes after Time Filter
Deadband: value &lt; or &gt; deadband
AND: at least one of the conditions is fulfilled
OR: both conditions are fulfilled</Description>
      <PrimitiveType>STRING</PrimitiveType>
      <isSpecificationAttribute>
        <NameRepresentation>Archive Mode</NameRepresentation>
        <isValueRequired>true</isValueRequired>
        <PermittedValue>No</PermittedValue>
        <PermittedValue>Old/New Comparison</PermittedValue>
        <Usage>This archive mode is used to archive data in the PVSS database</Usage>
        <DependentAttributes>If "Time" is selected, "Time Filter (s)" must be filled 
If "Deadband"  is selected: "Deadband Type" and "Deadband Value" must be filled.</DependentAttributes>
        <Constraints/>
      </isSpecificationAttribute>
    </Attribute>
    <Attribute>
      <AttributeName>BooleanArch</AttributeName>
      <Description>Name of the Boolean archive
Forbidden characters:  *[: "'@`#$%^&amp;*?!,;=+~(){}&lt;&gt;|]</Description>
      <PrimitiveType>STRING</PrimitiveType>
      <DefaultValue>boolean</DefaultValue>
      <isSpecificationAttribute>
        <NameRepresentation>Boolean Archive</NameRepresentation>
        <isValueRequired>false</isValueRequired>
        <Usage>The boolean values of the device will be archived in the specified PVSS database. The archive must be created in PVSS before importing the object.</Usage>
        <DependentAttributes/>
        <Constraints>Forbidden characters:  *[: "'@`#$%^&amp;*?!,;=+~(){}&lt;&gt;|]</Constraints>
      </isSpecificationAttribute>
    </Attribute>
    <Attribute>
      <AttributeName>AnalogArch</AttributeName>
      <Description>Name of the analog archive
Forbidden characters:  *[: "'@`#$%^&amp;*?!,;=+~(){}&lt;&gt;|]</Description>
      <PrimitiveType>STRING</PrimitiveType>
      <DefaultValue>analog</DefaultValue>
      <isSpecificationAttribute>
        <NameRepresentation>Analog Archive</NameRepresentation>
        <isValueRequired>false</isValueRequired>
        <Usage>The analog values of the device will be archived in the specified PVSS database. The archive must be created in PVSS before importing the object.</Usage>
        <DependentAttributes/>
        <Constraints>Forbidden characters:  *[: "'@`#$%^&amp;*?!,;=+~(){}&lt;&gt;|]</Constraints>
      </isSpecificationAttribute>
    </Attribute>
    <Attribute>
      <AttributeName>EventArch</AttributeName>
      <Description>Name of the event archive
Forbidden characters:  *[: "'@`#$%^&amp;*?!,;=+~(){}&lt;&gt;|]</Description>
      <PrimitiveType>STRING</PrimitiveType>
      <DefaultValue>event</DefaultValue>
      <isSpecificationAttribute>
        <NameRepresentation>Event Archive</NameRepresentation>
        <isValueRequired>false</isValueRequired>
        <Usage>The events generated by the device will be archived in the specified PVSS database. The archive must be created in PVSS before importing the object.</Usage>
        <DependentAttributes/>
        <Constraints>Forbidden characters:  *[: "'@`#$%^&amp;*?!,;=+~(){}&lt;&gt;|]</Constraints>
      </isSpecificationAttribute>
    </Attribute>
  </AttributeFamily>
  <AttributeFamily>
    <AttributeFamilyName>SCADADeviceAlarms</AttributeFamilyName>
    <UserExpandable>true</UserExpandable>
    <Attribute>
      <AttributeName>AlarmConfig</AttributeName>
      <Description>Configuration of Alarm under SCADA</Description>
      <PrimitiveType>INT32</PrimitiveType>
      <isSpecificationAttribute>
        <NameRepresentation>Alarm Config</NameRepresentation>
        <isValueRequired>true</isValueRequired>
        <Usage/>
        <DependentAttributes/>
        <Constraints/>
      </isSpecificationAttribute>
      <Attribute>
        <AttributeName>SMSCategory</AttributeName>
        <Description>This Alarm message will follow rules defined in the corresponding SMS User Group</Description>
        <PrimitiveType>STRING</PrimitiveType>
        <isSpecificationAttribute>
          <NameRepresentation>SMS Category</NameRepresentation>
          <isValueRequired>false</isValueRequired>
          <Usage>Defines a specific treatment for each SMS message</Usage>
          <DependentAttributes/>
          <Constraints>The name must correspond to the SMS user group (unProcessAlarm,...)</Constraints>
        </isSpecificationAttribute>
      </Attribute>
      <Attribute>
        <AttributeName>AutoAcknowledge</AttributeName>
        <Description>The SCADA automatically performs the alarm acknowledge</Description>
        <PrimitiveType>BOOLEAN</PrimitiveType>
        <isSpecificationAttribute>
          <NameRepresentation>Auto Acknowledge</NameRepresentation>
          <isValueRequired>false</isValueRequired>
          <Usage>When TRUE, the SCADA automatically acknowledges the alarm at its occurrence. 
The operator doesn't have to act on this alarm.</Usage>
          <DependentAttributes/>
          <Constraints>TRUE/FALSE</Constraints>
        </isSpecificationAttribute>
      </Attribute>
      <Attribute>
        <AttributeName>Masked</AttributeName>
        <Description>Alarm signal is ignored by the SCADA</Description>
        <PrimitiveType>BOOLEAN</PrimitiveType>
        <isSpecificationAttribute>
          <isValueRequired>false</isValueRequired>
          <Usage>When TRUE, the Alarm signal is not recorded into the ALARM database</Usage>
          <DependentAttributes/>
          <Constraints>TRUE/FALSE</Constraints>
        </isSpecificationAttribute>
      </Attribute>
    </Attribute>
    <Attribute>
      <AttributeName>BinaryState</AttributeName>
      <Description/>
      <PrimitiveType>BOOLEAN</PrimitiveType>
      <isSpecificationAttribute>
        <NameRepresentation>Binary State</NameRepresentation>
        <isValueRequired>true</isValueRequired>
        <Usage/>
        <DependentAttributes/>
        <Constraints/>
      </isSpecificationAttribute>
      <Attribute>
        <AttributeName>AlarmOnState</AttributeName>
        <Description>State of the device where the PVSS alert should be triggered.
Blank/empty (=default) indicates that there is no PVSS alert.</Description>
        <PrimitiveType>BOOLEAN</PrimitiveType>
        <isSpecificationAttribute>
          <NameRepresentation>Alarm On State</NameRepresentation>
          <isValueRequired>false</isValueRequired>
          <Usage>This alarm is only used at SCADA level for information and It has no impact on the process.</Usage>
          <DependentAttributes/>
          <Constraints/>
        </isSpecificationAttribute>
      </Attribute>
    </Attribute>
    <Attribute>
      <AttributeName>Message</AttributeName>
      <Description>Message to display when alarm is set in SCADA</Description>
      <PrimitiveType>STRING</PrimitiveType>
      <isSpecificationAttribute>
        <isValueRequired>false</isValueRequired>
        <Usage>The message specified here will be displayed in the Alarm List</Usage>
        <DependentAttributes/>
        <Constraints>In principle there is no limit to the number of characters used, however a long name may result in display issues at the SCADA level.
Forbidden characters:  *[:"'@`#$%^&amp;*?!,;=+~(){}&lt;&gt;|]</Constraints>
      </isSpecificationAttribute>
    </Attribute>
  </AttributeFamily>
  <AttributeFamily>
    <AttributeFamilyName>LogicDeviceDefinitions</AttributeFamilyName>
    <UserExpandable>true</UserExpandable>
    <Attribute>
      <AttributeName>CustomLogicParameters</AttributeName>
      <Description>User defined meaning, used by the logic generators.</Description>
      <PrimitiveType>STRUCT</PrimitiveType>
      <Attribute>
        <AttributeName>Parameter1</AttributeName>
        <Description>Parameter to be used in the logic templates
Forbidden characters:  "$' </Description>
        <PrimitiveType>STRING</PrimitiveType>
        <isSpecificationAttribute>
          <isValueRequired>false</isValueRequired>
          <Usage>This parameter can be used in user logic templates to define specific logic for the device. If no "CustomLogicSections.* User Template"?, parameter is ignored.</Usage>
          <DependentAttributes>Parameter will be used in specified "CustomLogicSections.* User Template"? file</DependentAttributes>
          <Constraints>Forbidden characters:  "$' </Constraints>
        </isSpecificationAttribute>
      </Attribute>
      <Attribute>
        <AttributeName>Parameter2</AttributeName>
        <Description>Parameter to be used in the logic templates
Forbidden characters:  "$' </Description>
        <PrimitiveType>STRING</PrimitiveType>
        <isSpecificationAttribute>
          <isValueRequired>false</isValueRequired>
          <Usage>This parameter can be used in user logic templates to define specific logic for the device. If no "CustomLogicSections.* User Template"?, parameter is ignored.</Usage>
          <DependentAttributes>Parameter will be used in specified "CustomLogicSections.* User Template"? file</DependentAttributes>
          <Constraints>Forbidden characters:  "$' </Constraints>
        </isSpecificationAttribute>
      </Attribute>
      <Attribute>
        <AttributeName>Parameter3</AttributeName>
        <Description>Parameter to be used in the logic templates
Forbidden characters:  "$' </Description>
        <PrimitiveType>STRING</PrimitiveType>
        <isSpecificationAttribute>
          <isValueRequired>false</isValueRequired>
          <Usage>This parameter can be used in user logic templates to define specific logic for the device. If no "CustomLogicSections.* User Template"?, parameter is ignored.</Usage>
          <DependentAttributes>Parameter will be used in specified "CustomLogicSections.* User Template"? file</DependentAttributes>
          <Constraints>Forbidden characters:  "$' </Constraints>
        </isSpecificationAttribute>
      </Attribute>
      <Attribute>
        <AttributeName>Parameter4</AttributeName>
        <Description>Parameter to be used in the logic templates
Forbidden characters:  "$' </Description>
        <PrimitiveType>STRING</PrimitiveType>
        <isSpecificationAttribute>
          <isValueRequired>false</isValueRequired>
          <Usage>This parameter can be used in user logic templates to define specific logic for the device. If no "CustomLogicSections.* User Template"?, parameter is ignored.</Usage>
          <DependentAttributes>Parameter will be used in specified "CustomLogicSections.* User Template"? file</DependentAttributes>
          <Constraints>Forbidden characters:  "$' </Constraints>
        </isSpecificationAttribute>
      </Attribute>
      <Attribute>
        <AttributeName>Parameter5</AttributeName>
        <Description>Parameter to be used in the logic templates
Forbidden characters:  "$' </Description>
        <PrimitiveType>STRING</PrimitiveType>
        <isSpecificationAttribute>
          <isValueRequired>false</isValueRequired>
          <Usage>This parameter can be used in user logic templates to define specific logic for the device. If no "CustomLogicSections.* User Template"?, parameter is ignored.</Usage>
          <DependentAttributes>Parameter will be used in specified "CustomLogicSections.* User Template"? file</DependentAttributes>
          <Constraints>Forbidden characters:  "$' </Constraints>
        </isSpecificationAttribute>
      </Attribute>
      <Attribute>
        <AttributeName>Parameter6</AttributeName>
        <Description>Parameter to be used in the logic templates
Forbidden characters:  "$' </Description>
        <PrimitiveType>STRING</PrimitiveType>
        <isSpecificationAttribute>
          <isValueRequired>false</isValueRequired>
          <Usage>This parameter can be used in user logic templates to define specific logic for the device. If no "CustomLogicSections.* User Template"?, parameter is ignored.</Usage>
          <DependentAttributes>Parameter will be used in specified "CustomLogicSections.* User Template"? file</DependentAttributes>
          <Constraints>Forbidden characters:  "$' </Constraints>
        </isSpecificationAttribute>
      </Attribute>
      <Attribute>
        <AttributeName>Parameter7</AttributeName>
        <Description>Parameter to be used in the logic templates
Forbidden characters:  "$' </Description>
        <PrimitiveType>STRING</PrimitiveType>
        <isSpecificationAttribute>
          <isValueRequired>false</isValueRequired>
          <Usage>This parameter can be used in user logic templates to define specific logic for the device. If no "CustomLogicSections.* User Template"?, parameter is ignored.</Usage>
          <DependentAttributes>Parameter will be used in specified "CustomLogicSections.* User Template"? file</DependentAttributes>
          <Constraints>Forbidden characters:  "$' </Constraints>
        </isSpecificationAttribute>
      </Attribute>
      <Attribute>
        <AttributeName>Parameter8</AttributeName>
        <Description>Parameter to be used in the logic templates
Forbidden characters:  "$' </Description>
        <PrimitiveType>STRING</PrimitiveType>
        <isSpecificationAttribute>
          <isValueRequired>false</isValueRequired>
          <Usage>This parameter can be used in user logic templates to define specific logic for the device. If no "CustomLogicSections.* User Template"?, parameter is ignored.</Usage>
          <DependentAttributes>Parameter will be used in specified "CustomLogicSections.* User Template"? file</DependentAttributes>
          <Constraints>Forbidden characters:  "$' </Constraints>
        </isSpecificationAttribute>
      </Attribute>
      <Attribute>
        <AttributeName>Parameter9</AttributeName>
        <Description>Parameter to be used in the logic templates
Forbidden characters:  "$' </Description>
        <PrimitiveType>STRING</PrimitiveType>
        <isSpecificationAttribute>
          <isValueRequired>false</isValueRequired>
          <Usage>This parameter can be used in user logic templates to define specific logic for the device. If no "CustomLogicSections.* User Template"?, parameter is ignored.</Usage>
          <DependentAttributes>Parameter will be used in specified "CustomLogicSections.* User Template"? file</DependentAttributes>
          <Constraints>Forbidden characters:  "$' </Constraints>
        </isSpecificationAttribute>
      </Attribute>
      <Attribute>
        <AttributeName>Parameter10</AttributeName>
        <Description>Parameter to be used in the logic templates
Forbidden characters:  "$' </Description>
        <PrimitiveType>STRING</PrimitiveType>
        <isSpecificationAttribute>
          <isValueRequired>false</isValueRequired>
          <Usage>This parameter can be used in user logic templates to define specific logic for the device. If no "CustomLogicSections.* User Template"?, parameter is ignored.</Usage>
          <DependentAttributes>Parameter will be used in specified "CustomLogicSections.* User Template"? file</DependentAttributes>
          <Constraints>Forbidden characters:  "$' </Constraints>
        </isSpecificationAttribute>
      </Attribute>
    </Attribute>
  </AttributeFamily>
  <AttributeFamily>
    <AttributeFamilyName>DeviceTechnicals</AttributeFamilyName>
    <UserExpandable>true</UserExpandable>
    <Attribute>
      <AttributeName>PROCOSConfiguration</AttributeName>
      <Description>PROCOS parameters allowing simulation</Description>
      <PrimitiveType>STRUCT</PrimitiveType>
      <Attribute>
        <AttributeName>Config</AttributeName>
        <Description>Device mode configuration for simulation (Simulated, Forced or Empty)</Description>
        <PrimitiveType>STRING</PrimitiveType>
      </Attribute>
      <Attribute>
        <AttributeName>ForcedValue</AttributeName>
        <Description>Forced value defined (e.g.: analog: 4.5, digital: 0 or 1)</Description>
        <PrimitiveType>STRING</PrimitiveType>
      </Attribute>
      <Attribute>
        <AttributeName>Hierarchy</AttributeName>
        <Description>Hierarchy definition following the Simulation model</Description>
        <PrimitiveType>STRING</PrimitiveType>
      </Attribute>
    </Attribute>
  </AttributeFamily>
  <AttributeFamily>
    <AttributeFamilyName>TargetDeviceInformation</AttributeFamilyName>
    <UserExpandable>true</UserExpandable>
    <Attribute>
      <AttributeName>Target</AttributeName>
      <Description>Identifies a target type (e.g. SIEMENS, SCHNEIDER...)</Description>
      <PrimitiveType>STRUCT</PrimitiveType>
      <DefaultValue>Siemens</DefaultValue>
      <Attribute>
        <AttributeName>RepresentationName</AttributeName>
        <Description>It's the name used ...</Description>
        <PrimitiveType>STRING</PrimitiveType>
        <DefaultValue>DI</DefaultValue>
      </Attribute>
      <Attribute>
        <AttributeName>Optimized</AttributeName>
        <Description>Is this object an optimized Object?</Description>
        <PrimitiveType>BOOLEAN</PrimitiveType>
        <DefaultValue>true</DefaultValue>
      </Attribute>
      <Attribute>
        <AttributeName>LimitSize</AttributeName>
        <Description>Maximun number of instances allowed</Description>
        <PrimitiveType>INT32</PrimitiveType>
        <DefaultValue>1300</DefaultValue>
      </Attribute>
    </Attribute>
  </AttributeFamily>
</UNICOSMetaModel>
